<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <section name="AutomatedTestingSettings" type="AutomatedTesting.Configuration.AutomatedTestingSettingsSection, AutomatedTesting.Configuration" />
        <section name="specFlow" type="TechTalk.SpecFlow.Configuration.ConfigurationSectionHandler, TechTalk.SpecFlow" />
    </configSections>

    <appSettings>
        <add key="dsnName" value="OasysFitnesse" />

        <!-- up to out -->
        <add key="testReportFilePath" value="..\..\..\aat\WSS.AAT.Scenarios.GiftCards.json" />
        <add key="commsDir" value="C:\WIX\COMMS" />
        <add key="executablesDir" value="..\..\..\build\Oasys3\" />

        <!-- up to root -->
        <add key="xsdFilesDir" value="..\..\..\..\src\main\bo\hubs\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core.Order\WebService - Xsd\" />
    </appSettings>

    <connectionStrings>
        <add connectionString="Data Source=oasys-fitnesse-dbserver;Initial Catalog=Oasys;Integrated Security=True" name="Oasys" />
    </connectionStrings>

    <specFlow>
        <stepAssemblies>
            <stepAssembly assembly="SpecResults" />
            <stepAssembly assembly="WSS.AAT.Common.Utility" />
        </stepAssemblies>
        <unitTestProvider name="NUnit" />
    </specFlow>

    <runtime>
        <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
            <dependentAssembly>
                <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
                <bindingRedirect oldVersion="0.0.0.0-7.0.0.0" newVersion="7.0.0.0" />
            </dependentAssembly>
        </assemblyBinding>
    </runtime>

</configuration>
